Package org.apache.wiki.util

# Class MailUtil.SmtpAuthenticator

java.lang.Object
javax.mail.Authenticator
org.apache.wiki.util.MailUtil.SmtpAuthenticator

Enclosing class:
  MailUtil

protected static class MailUtil.SmtpAuthenticator extends javax.mail.Authenticator
Simple `Authenticator` subclass that authenticates a user to an SMTP server.

## Constructor Summary

Constructors
Constructor
Description
`SmtpAuthenticator(String login, String pass)`
Constructs a new SmtpAuthenticator with a supplied username and password.

## Method Summary

Modifier and Type
Method
Description
`javax.mail.PasswordAuthentication`
`getPasswordAuthentication()`
Returns the password used to authenticate to the SMTP server.

### Methods inherited from class javax.mail.Authenticator

`getDefaultUserName, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingSite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmtpAuthenticator

public SmtpAuthenticator(String login, String pass)
Constructs a new SmtpAuthenticator with a supplied username and password.

Parameters:
  `login` - the username
  `pass` - the password

## Method Details

### getPasswordAuthentication

public javax.mail.PasswordAuthentication getPasswordAuthentication()
Returns the password used to authenticate to the SMTP server.

Overrides:
  `getPasswordAuthentication` in class `javax.mail.Authenticator`
Returns:
  `PasswordAuthentication`.